//	ＡＩＧライブラリ　基本関数：マウス関数
//		Copyright (C) 1989-1993 by AIG-SOFT

#ifndef	__AIG_MOUSE__
#define	__AIG_MOUSE__	1

#include "deftype.h"

/* マクロ関数 */
#define MSBOFF()	while((MS_GETDT()&0xffff)) /* 両ボタンが離されるまで待つ */

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE
	int	ms_set(int *,int *,int,int,int);
	int	mson(void);
	int	kbmshit(int);
	void	mson_init(int);
	void	ms_reset(int,int,int);
	void	WaitMouseOn(void);
#else
	int	ms_set();
	int	mson();
	int	kbmshit();
	void	mson_init();
	void	ms_reset();
	void	WaitMouseOn();
#endif
#ifdef	__cplusplus
}
#endif

#endif
